import { ReturnValues } from './types.js'
import { list, map, noCaseString, seq, skip } from '../parser.js'
import { value, Symbol, ws } from './common.js'

const keyword = noCaseString('return')

const params = map(
  x => new ReturnValues(...x),
  seq(list(seq(ws, Symbol.Comma, ws), value))
)

export const returnClause = seq(skip(keyword), ws, params)

